com.ihr.xbrl.dataloader

## Class XBRLFilterContextImpl

- java.lang.Object
- - com.ihr.xbrl.dataloader.XBRLFilterContextImpl

- All Implemented Interfaces:
    XBRLFilterContext

      public class XBRLFilterContextImpl
      extends java.lang.Object
      implements XBRLFilterContext

  This is an implementation reference of the XBRLFilterContext interface.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBRLFilterContextImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Called to clear all internal cached values.
    `java.util.GregorianCalendar` | `getLatestEndDate()` Gets the latest end date.
    `java.util.GregorianCalendar` | `getLatestInstant()` Gets the latest instant.
    `java.util.GregorianCalendar` | `getLatestStartDate()` Gets the latest start date.
    `javax.xml.datatype.Duration` | `getLongestDuration()` Gets the longest duration.
    `java.util.GregorianCalendar` | `getOldestEndDate()` Gets the oldest end date.
    `java.util.GregorianCalendar` | `getOldestInstant()` Gets the oldest instant.
    `java.util.GregorianCalendar` | `getOldestStartDate()` Gets the oldest start date.
    `javax.xml.datatype.Duration` | `getShortestDuration()` Gets the shortest duration.
    `XBRLPeriod` | `matches(XBRLCTimeFilter filter)` Matches.
    `void` | `processContexts(java.util.Iterator<XBRLContext> contexts)` Process all contexts in the iterator and collect variables to be cached later.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XBRLFilterContextImpl

          public XBRLFilterContextImpl()

  - ### Method Detail

    - #### processContexts

          public void processContexts(java.util.Iterator<XBRLContext> contexts)

      Process all contexts in the iterator and collect variables to be cached later.
      Parameters:
        `contexts` - the contexts

    - #### clear

          public void clear()

      Called to clear all internal cached values.

    - #### getLatestInstant

          public java.util.GregorianCalendar getLatestInstant()

      Description copied from interface: `XBRLFilterContext`
      Gets the latest instant.
      Specified by:
        `getLatestInstant` in interface `XBRLFilterContext`
      Returns:
        the latest instant

    - #### getLatestStartDate

          public java.util.GregorianCalendar getLatestStartDate()

      Description copied from interface: `XBRLFilterContext`
      Gets the latest start date.
      Specified by:
        `getLatestStartDate` in interface `XBRLFilterContext`
      Returns:
        the latest start date

    - #### getLatestEndDate

          public java.util.GregorianCalendar getLatestEndDate()

      Description copied from interface: `XBRLFilterContext`
      Gets the latest end date.
      Specified by:
        `getLatestEndDate` in interface `XBRLFilterContext`
      Returns:
        the latest end date

    - #### getOldestInstant

          public java.util.GregorianCalendar getOldestInstant()

      Description copied from interface: `XBRLFilterContext`
      Gets the oldest instant.
      Specified by:
        `getOldestInstant` in interface `XBRLFilterContext`
      Returns:
        the oldest instant

    - #### getOldestStartDate

          public java.util.GregorianCalendar getOldestStartDate()

      Description copied from interface: `XBRLFilterContext`
      Gets the oldest start date.
      Specified by:
        `getOldestStartDate` in interface `XBRLFilterContext`
      Returns:
        the oldest start date

    - #### getOldestEndDate

          public java.util.GregorianCalendar getOldestEndDate()

      Description copied from interface: `XBRLFilterContext`
      Gets the oldest end date.
      Specified by:
        `getOldestEndDate` in interface `XBRLFilterContext`
      Returns:
        the oldest end date

    - #### getLongestDuration

          public javax.xml.datatype.Duration getLongestDuration()

      Description copied from interface: `XBRLFilterContext`
      Gets the longest duration.
      Specified by:
        `getLongestDuration` in interface `XBRLFilterContext`
      Returns:
        the longest duration

    - #### getShortestDuration

          public javax.xml.datatype.Duration getShortestDuration()

      Description copied from interface: `XBRLFilterContext`
      Gets the shortest duration.
      Specified by:
        `getShortestDuration` in interface `XBRLFilterContext`
      Returns:
        the shortest duration

    - #### matches

          public XBRLPeriod matches(XBRLCTimeFilter filter)

      Description copied from interface: `XBRLFilterContext`
      Matches.
      Specified by:
        `matches` in interface `XBRLFilterContext`
      Parameters:
        `filter` - the filter
      Returns:
        the XBRL period